#!/usr/bin/perl

BEGIN { push (@INC,'/qos/modules'); }
use qos_config ;
use qos ;
use CGI qw (:standard)  ;
use Data::Dumper ;


$device = param('device') ;
$major  = param('major') ;
$minor  = param('minor') ;
$type   = param('type') ;

$class = `$TC -s -d class show dev $device   ` ;
@class = sort ( split "\n\n" , $class ) ;

read_config_tc_tree ($device) ;
print header () ;

foreach $class (@class) {
	foreach $temp (split " ", $tree->{"$major:$minor"}{childs}) {
		#print "X $temp X\n" ;
		if ( $class =~ /class htb $temp / ) {
			$class =~ / ([0-9]+) bytes/ ;
			print "$1\n" ;
		}
	}
}
exit ;

$uptime=`uptime`;
$uptime = ( split " ", $uptime ) [9] ;
$uptime =~ s/,//g ;
$uptime =~ s/\.//g ;
print "$uptime\n" ;

exit;

