set -v
/qos/bin/tc qdisc del dev eth0 root
/qos/bin/tc qdisc add dev eth0 root handle 1: htb default 10
/qos/bin/tc class add dev eth0 parent 1: classid 1:1 htb rate 1024kbps ceil 1024kbps 
/qos/bin/tc class add dev eth0 parent 1:1 classid 1:10 htb rate 256kbps ceil 1024kbps 
/qos/bin/tc qdisc add dev eth0 parent 1:10 sfq
/qos/bin/tc class add dev eth0 parent 1:1 classid 1:20 htb rate 256kbps ceil 1024kbps 
/qos/bin/tc qdisc add dev eth0 parent 1:20 sfq
/qos/bin/tc class add dev eth0 parent 1:1 classid 1:a htb rate 256kbps ceil 1024kbps 
/qos/bin/tc qdisc add dev eth0 parent 1:a sfq
/qos/bin/tc class add dev eth0 parent 1:1 classid 1:1234 htb rate 256kbps ceil 1024kbps 
/qos/bin/tc class add dev eth0 parent 1:1234 classid 1:12 htb rate 128kbps ceil 1024kbps 
/qos/bin/tc qdisc add dev eth0 parent 1:12 sfq
/qos/bin/tc class add dev eth0 parent 1:1234 classid 1:45 htb rate 128kbps ceil 1024kbps 
/qos/bin/tc qdisc add dev eth0 parent 1:45 sfq

# Filter name : one
#     type : fw

# Filter name : ssh

# Filter name : http
/qos/bin/tc filter add dev eth0 parent 1: protocol ip u32 match ip dport 80 0xffff  prio 1  classid  1:10 
/qos/bin/tc filter add dev eth0 parent 1: protocol ip u32 match ip dport 443 0xffff  prio 1  classid  1:10 

# Filter name : test
/qos/bin/tc filter add dev eth0 parent 1: protocol ip u32 match ip dst q match ip src q match ip sport q 0xffff match ip dport q 0xffff  prio 2  classid  1:10 

# Filter name : wireless
/qos/bin/tc filter add dev eth0 parent 1: protocol ip u32 match ip dst 216.207.10.67/32 match ip src 0/0  prio 5  classid  1:10 
