
# Example setup
# The last lines are needed for a demo
/qos/bin/tc qdisc del dev eth0 root
/qos/bin/tc qdisc add dev eth0 root handle 20: htb default 2000
/qos/bin/tc class add dev eth0 parent 20: classid 20:1 htb rate 10240kbps ceil 10240kbps 
/qos/bin/tc class add dev eth0 parent 20:1 classid 20:10 htb rate 5120kbps ceil 10240kbps 
/qos/bin/tc class add dev eth0 parent 20:10 classid 20:200 htb rate 2560kbps ceil 10240kbps  prio 2
/qos/bin/tc qdisc add dev eth0 parent 20:200 sfq
/qos/bin/tc class add dev eth0 parent 20:10 classid 20:100 htb rate 2560kbps ceil 10240kbps  prio 1
/qos/bin/tc class add dev eth0 parent 20:100 classid 20:1000 htb rate 1280kbps ceil 10240kbps 
/qos/bin/tc qdisc add dev eth0 parent 20:1000 sfq
/qos/bin/tc class add dev eth0 parent 20:100 classid 20:2000 htb rate 1280kbps ceil 10240kbps prio 4 burst 1500 cburst 1500
/qos/bin/tc qdisc add dev eth0 parent 20:2000 sfq
/qos/bin/tc class add dev eth0 parent 20:1 classid 20:20 htb rate 2560kbps ceil 10240kbps prio 7
/qos/bin/tc qdisc add dev eth0 parent 20:20 sfq
/qos/bin/tc class add dev eth0 parent 20:1 classid 20:30 htb rate 2560kbps ceil 10240kbps 

tc filter add dev eth0 parent 20: protocol ip u32 match ip dport 80 0xffff flowid 20:1000
tc filter add dev eth0 parent 20: protocol ip u32 match ip dport 21 0xffff flowid 20:20
tc filter add dev eth0 parent 20: protocol ip u32 match ip dport 22 0xffff flowid 20:30
tc filter add dev eth0 parent 20: protocol ip prio 3 handle 2 fw classid 20:1000



iptables -F
iptables -X
iptables -N acc_0
iptables -N acc_1
iptables -N acc_2
iptables -N acc_3
iptables -A OUTPUT -p tcp --sport   80 -j acc_0
iptables -A OUTPUT -p tcp --sport ! 80 -j acc_1
iptables -A INPUT  -p tcp --dport   80 -j acc_2
iptables -A INPUT  -p tcp --dport ! 80 -j acc_3
