#!/usr/bin/perl

BEGIN { push (@INC,'/qos/modules'); }

use CGI qw (:standard) ;
use Data::Dumper ;
use qos_config ;
use qos ;

# $DEBUG = "YES" ;
$cgi = url () ;

$name  = param('name') ;
$sport = param('sport') ;
$dst   = param('dst') ;
$src   = param('src') ;
$dport = param('dport') ;
$doit  = param('doit') ;
$submit  = param('submit') ;

read_config1 () ;
read_config2 () ;
read_config3 () ;
read_config4 () ;

## print header () ;
## print start_html (-title=>"QOS configrator",-style=>{'code'=>"$CSS"}) ;
#
if ( $submit eq "edit" ) {
	if ( ! defined $doit ) {
		print header () ;
		print start_html (-title=>"QOS configrator",-style=>{'code'=>"$CSS"}) ;
		show_u32 ($name) ;
		docum_org () ;
		print end_html () ;
		exit ;
	} else {
		if ( $dst eq "" ) { delete $u32->{$name}{dst} ;
		} else { $u32->{$name}{dst} = $dst ; }
		if ( $src eq "" ) { delete $u32->{$name}{src} ;
		} else { $u32->{$name}{src} = $src ; }
		if ( $dport eq "" ) { delete $u32->{$name}{dport} ;
		} else { $u32->{$name}{dport} = $dport ; }
		if ( $sport eq "" ) { delete $u32->{$name}{sport} ;
		} else { $u32->{$name}{sport} = $sport ; }
		write_config4 () ;
	}

} elsif ( $submit eq "delete" ) {
	if ( ! defined $doit ) {
		print header () ;
		print start_html (-title=>"QOS configrator",-style=>{'code'=>"$CSS"}) ;

		if ( $u32->{$name}{dst} eq "" ) { $dst = "&nbsp;" ;
		} else { $dst = $u32->{$name}{dst} ; }
		if ( $u32->{$name}{src} eq "" ) { $dst = "&nbsp;" ;
		} else { $src = $u32->{$name}{src} ; }
		if ( $u32->{$name}{dport} eq "" ) { $dport = "&nbsp;" ;
		} else { $dport = $u32->{$name}{dport} ; }
		if ( $u32->{$name}{sport} eq "" ) { $sport = "&nbsp;" ;
		} else { $sport = $u32->{$name}{sport} ; }

		show_u32 ($name) ;
		docum_org () ;
		print end_html () ;
		exit ;
	} else {
		delete $u32->{$name} ;
		write_config4 () ;
	}
} elsif ( $submit eq "Add new u32 filter definition" ) {
	if ( defined $name ) {
		if ( defined $u32->{$name} ) {
			$ERR = "U32 filter already exists." ;
		} elsif ( $name eq "" ) {
			$ERR = "No name given $name" ;
		} else {
			$u32->{$name}{dst} = $dst ;
			$u32->{$name}{src} = $src ;
			$u32->{$name}{dport} = $dport ;
			$u32->{$name}{sport} = $sport ;
			write_config4 () ;
		}
	} else {
		print header () ;
		print start_html (-title=>"QOS configrator",-style=>{'code'=>"$CSS"}) ;
		show_u32 ($parent) ;
		exit ;
	}
}

print header () ;
print start_html (-title=>"QOS configrator",-style=>{'code'=>"$CSS"}) ;

print "<h1>Error</h1>\n" if defined $ERR ;
print $ERR if defined $ERR ;
# print "type $type<br>\n" ;
# print "name $name<br>\n" ;
# print "parent $parent<br>\n" ;

foreach $dev (keys(%{$main->{NIC}})) {
	next if $main->{NIC}{$dev} =~ /off/ ;
	# Show the htb configuration so know how we have to filter
	print "<h1>U32 filter configuration</h1>\n" ;
	print "<p>\n<table celpadding=0 cellspacing=0 border=1>\n";
	print "<tr><th>name</th>" ;
	print "<th>Destination</th>" ;
	print "<th>Source</th>" ;
	print "<th>Destination port</th>" ;
	print "<th>Source port</th>" ;
	print "<th colspan=2>action</th>" ;
	print "</tr>\n" ;

	for $key ( keys (%{$u32}) ) {
		print "<tr>\n" ;
		print "<th>$key</th>" ;
		#  print startform () ;
		#  print popup_menu (-name=>"type",
		#  -values=>["sport","dport"]) ;
		#  print submit (-name=>'submit',-value=>"add") ;
		#  print hidden (-name=>'name',-value=>$key) ;
		#  print endform () ;
		if ( $u32->{$key}{dst} ne "" ) {
			print "<td>$u32->{$key}{dst}</td>" ;
		} else {
			print "<td>&nbsp;</td>" ;
		}
		if ( $u32->{$key}{src} ne "" ) {
			print "<td>$u32->{$key}{src}</td>" ;
		} else {
			print "<td>&nbsp;</td>" ;
		}
		if ( $u32->{$key}{dport} ne "" ) {
			print "<td>$u32->{$key}{dport}</td>" ;
		} else {
			print "<td>&nbsp;</td>" ;
		}
		if ( $u32->{$key}{sport} ne "" ) {
			print "<td>$u32->{$key}{sport}</td>" ;
		} else {
			print "<td>&nbsp;</td>" ;
		}
		print "<td>" ;
		print startform () ;
		print submit (-name=>'submit',-value=>"edit") ;
		print hidden (-name=>'name',-value=>$key,-override=>1) ;
		print endform () ;
		print "</td>" ;
		print "<td>" ;
		print startform () ;
		print submit (-name=>'submit',-value=>"delete") ;
		print hidden (-name=>'name',-value=>$key,-override=>1) ;
		print endform () ;
		print "</td>" ;
		print "</tr>\n" ;
	}
	print "</table>\n<p>\n" ;

	print startform () ;
	print submit (-name=>'submit',-value=>"Add new u32 filter definition") ;
	print endform () ;
}

write_config4_debug () if defined $DEBUG ;

docum_org () ;
print end_html () ;

sub show_u32 {
	($name) = @_ ;
	print startform () ;

	print "<p>\n<table celpadding=0 cellspacing=0 border=1>\n";
	print "<tr><th>Name</td><td class=left>\n" ;
	if ( defined $name ) { print "$name" ;
		print hidden (-name=>"name",
			-override=>1,
			-value=>$name) ;
	} else { print textfield (-name=>"name",
			-override=>1,
			-value=>$name) ;
	}

	print "<tr><th>Destination (" . help ("u32_dest") . ")</td><td class=left>\n" ;
	if ( defined $dst ) { print "$dst" ;
		print hidden (-name=>"dst",
			-override=>1,
			-value=>$dst) ;
	} else { print textfield (-name=>"dst",
			-override=>1,
			-value=>$u32->{$name}{dst}) ;
	}

	print "<tr><th>Source (" . help ("u32_src") . ")</td><td class=left>\n" ;
	if ( defined $src ) { print "$src" ;
		print hidden (-name=>"src",
			-override=>1,
			-value=>$src) ;
	} else { print textfield (-name=>"src",
			-override=>1,
			-value=>$u32->{$name}{src}) ;
	}

	print "<tr><th>Destination port (" . help ("u32_dport") . ")</td><td class=left>\n" ;
	if ( defined $dport ) { print "$dport" ;
		print hidden (-name=>"dport",
			-override=>1,
			-value=>$dport) ;
	} else { print textfield (-name=>"dport",
			-override=>1,
			-value=>$u32->{$name}{dport}) ;
	}

	print "<tr><th>Source port (" . help ("u32_sport") . ")</td><td class=left>\n" ;
	if ( defined $sport ) { print "$sport" ;
		print hidden (-name=>"sport",
			-override=>1,
			-value=>$sport) ;
	} else { print textfield (-name=>"sport",
			-override=>1,
			-value=>$u32->{$name}{sport}) ;
	}

	print "</td></tr>\n<tr><th colspan=2>" ;
	print submit (-name=>'submit',-value=>"$submit") ;
	print "</th></tr>\n ";

        print "</table>\n" ;

	print hidden (-name=>'doit',-value=>"yes") ;
	print endform () ;
}
